<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'filters', language 'zh_cn', branch 'MOODLE_36_STABLE'
 *
 * @package   filters
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actfilterhdr'] = '活动过滤器';
$string['addfilter'] = '添加过滤器';
$string['anycategory'] = '任何类别';
$string['anycourse'] = '任何课程';
$string['anyfield'] = '任何字段';
$string['anyrole'] = '任何角色';
$string['anyvalue'] = '任意值';
$string['applyto'] = '应用到';
$string['categoryrole'] = '类别角色';
$string['contains'] = '包含';
$string['content'] = '内容';
$string['contentandheadings'] = '内容和标题';
$string['coursecategory'] = '课程类别';
$string['courserole'] = '课程角色';
$string['courserolelabel'] = '课程类别：{$a->categoryname} 课程名称：{$a->coursename} 角色名：{$a->rolename} 名字：{$a->label}';
$string['courserolelabelerror'] = '{$a->label} 错误，课程：{$a->coursename} 不存在';
$string['coursevalue'] = '课程值';
$string['datelabelisafter'] = '{$a->label} 晚于 {$a->after}';
$string['datelabelisbefore'] = '{$a->label} 早于 {$a->before}';
$string['datelabelisbetween'] = '{$a->label} 在 {$a->after} 和 {$a->before} 之间';
$string['defaultx'] = '缺省（{$a}）';
$string['disabled'] = '禁用';
$string['doesnotcontain'] = '不包含';
$string['endswith'] = '以...结束';
$string['filterallwarning'] = '对标题和内容使用过滤器会大大增加您的服务器的负荷。请谨慎使用“应用到”设置。其主要用途是针对multilang过滤器。';
$string['filtercheckbox'] = '复选框过滤';
$string['filtercheckbox_help'] = '该过滤允许您根据一组复选框来过滤信息。
该过滤有以下选项：
*任意值 - 该选项会禁用过滤（即该过滤接受所有信息）
*匹配任何选择 - 该选项会过滤出符合任意选取规则的信息
*符合所有选择 - 该选项仅会过滤出符合所有选取规则的信息';
$string['filterdate'] = '日期过滤';
$string['filterdate_help'] = '通过此过滤器，您可以过滤以下信息：

* 给定日期之前和/或之后。
* 今天之前或之后的几天。
* 列出未设置日期的所有记录。';
$string['filterenrol'] = '报名过滤';
$string['filterenrol_help'] = '该过滤允许您根据用户是否报名参加特定课程来过滤信息。
该过滤提供以下选项：
*任意值 - 该选项将禁用过滤（即显示所有数据信息）
*是 - 该选项仅会在使用者已经报名参加指定课程时才回传数据信息
*否 - 该选项仅会在使用者未报名参加指定课程时才回传数据信息';
$string['filternumber'] = '号码过滤';
$string['filternumber_help'] = '该过滤允许您根据数值来过滤数字信息。
该过滤提供以下选项：
*等于 - 该选项将仅允许与域内值相等的信息（如果域内没有输入信息，该过滤不可用）
*不等于 - 该选项将允许与域内值不相等的信息（如果域内没有输入信息，该过滤不可用）
*大于 - 该选项将允许所有大于域内值的信息（如果域内没有输入信息，该过滤不可用）
*小于 - 该选项将允许所有小于域内值的信息（如果域内没有输入信息，该过滤不可用）
*大于或等于 - 该选项将允许所有大于或等于域内值的信息（如果域内没有输入信息，该过滤不可用）
*小于或等于 - 该选项将允许所有小于或等于域内值的信息（如果域内没有输入信息，该过滤不可用）';
$string['filterselect'] = '选择过滤';
$string['filterselect_help'] = '该过滤允许您从选项的下拉菜单中过滤。
该过滤提供以下选项：
*任意值 - 该选项禁用过滤（即所有信息均可接受）
*等于 - 该选项仅允许与列表所选值相等的信息
*不等于 - 该选项仅允许与列表所选值不相等的信息';
$string['filtersettings'] = '过滤器设置';
$string['filtersettingsforin'] = '在{$a->context}中过滤器{$a->filter}的设置';
$string['filtersettings_help'] = '本页使您可以在本站指定部分打开或关闭过滤器。

可能有些过滤器允许您做局部设置，在它们的名字后面会有一个设置链接。';
$string['filtersettingsin'] = '{$a}中的过滤器设置';
$string['filtersimpleselect'] = '简单选择过滤';
$string['filtersimpleselect_help'] = '该过滤允许您根据一个下拉菜单过滤信息。该过滤没有任何其他选项。';
$string['filtertext'] = '文本过滤';
$string['filtertext_help'] = '该过滤允许您根据自由格式文本来过滤信息。
该过滤提供以下选项：
*包含 - 该选项仅允许包含输入文本的信息（如果未输入文本，则禁用该过滤）
*不包含 - 该选项允许所有不含输入文本的信息（如果未输入文本，则禁用该过滤）
*等于 - 该选项仅允许与输入文本等同的信息（如果未输入文本，则禁用该过滤）
*开头为 - 该选项允许开头与输入文本相同的信息（如果未输入文本，则禁用该过滤）
*结尾为 - 该选项允许结尾语输入文本相同的信息（如果未输入文本，则禁用该过滤）
*为空 - 该选项仅允许等于空字符串的信息（会忽略输入的文本）';
$string['filterurl'] = 'URL过滤';
$string['filterurl_help'] = '该过滤允许您根据一个下拉列表过滤信息。
该过滤提供以下选项：
*任意值 - 选项禁用过滤（即接受所有信息）
*等于 - 该选项仅允许与列表所选值相等的信息
*不为空 (NOT NULL)  - 该选项仅允许与列表所选值不为空的信息';
$string['firstaccess'] = '第一次访问';
$string['globalrolelabel'] = '{$a->label}是： {$a->value}';
$string['includesubcategories'] = '包括子类别？';
$string['isactive'] = '激活？';
$string['isafter'] = '开始时间';
$string['isanyvalue'] = '为任何值';
$string['isbefore'] = '结束时间';
$string['isdefined'] = '已定义';
$string['isempty'] = '为空';
$string['isenrolled'] = '用户已注册该课程';
$string['isequalto'] = '等于';
$string['isgreaterorequalto'] = '大于或等于';
$string['isgreaterthan'] = '大于';
$string['islessthan'] = '小于';
$string['islessthanorequalto'] = '小于或等于';
$string['isnotdefined'] = '未定义';
$string['isnotenrolled'] = '用户未注册此课程';
$string['isnotequalto'] = '不等于';
$string['limiterfor'] = '{$a}域限制符';
$string['matchesallselected'] = '匹配所有选择';
$string['matchesanyselected'] = '匹配任意选择';
$string['neveraccessed'] = '从未访问';
$string['nevermodified'] = '从未修改';
$string['newfilter'] = '新过滤器';
$string['nofiltersenabled'] = '本站没有打开任何过滤器插件。';
$string['off'] = '关闭';
$string['offbutavailable'] = '关闭，但是可以使用';
$string['on'] = '打开';
$string['profilefilterfield'] = '简介字段名';
$string['profilefilterlimiter'] = '档案域操作符';
$string['profilelabel'] = '{$a->label}: {$a->profile} {$a->operator} {$a->value}';
$string['profilelabelnovalue'] = '{$a->label}: {$a->profile} {$a->operator}';
$string['removeall'] = '移除所有过滤器';
$string['removeselected'] = '移除选择的过滤器';
$string['selectlabel'] = '{$a->label} {$a->operator} {$a->value}';
$string['selectlabelnoop'] = '{$a->label} {$a->value}';
$string['startswith'] = '以...开始';
$string['tablenosave'] = '表中的更改将自动保存';
$string['textlabel'] = '{$a->label} {$a->operator} {$a->value}';
$string['textlabelnovalue'] = '{$a->label} {$a->operator}';
$string['valuefor'] = '{$a}的值';
