<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_generator', language 'zh_cn', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_generator
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bigfile'] = '大文件{$a}';
$string['courseexplanation'] = '此工具建立标准测试课程，包含许多学习单元，活动和文件。

目的是提供一个标准华测量许多系统组件的稳定性和性能（例如备份和还原）。

这项测试很重要，因为已有许多先例，面对真实使用情况（例如含有1000个活动的课程），系统不工作。

使用此功能建立的课程会占据大量数据库和文件系统空间（十几GB）。您要删除课程（并等待多种清理程序运行）才能再次释放空间。

**不要在运行系统中使用此功能**。仅在开发服务器上使用。（为避免错误使用，这项功能被禁用，除非您选择了开发排错层次。）';
$string['coursesize_0'] = 'XS (~10KB; 创建在1秒内)';
$string['coursesize_1'] = 'S (~10MB; 创建在30秒内)';
$string['coursesize_2'] = 'M（大约100MB；大约2分钟内创建）';
$string['coursesize_3'] = 'L（〜1GB；约30分钟内创建）';
$string['coursesize_4'] = 'XL（〜10GB；在约2小时内创建）';
$string['coursesize_5'] = 'XXL（〜20GB；在约4小时内创建）';
$string['coursewithoutusers'] = '选择课程没有用户';
$string['createcourse'] = '创建课程';
$string['createtestplan'] = '创建测试计划';
$string['creating'] = '创建课程';
$string['done'] = '完成({$a}s)';
$string['downloadtestplan'] = '下载测试计划';
$string['downloadusersfile'] = '下载用户个人资料';
$string['error_nocourses'] = '没有课程产生测试计划';
$string['error_noforumdiscussions'] = '所选课程不含有论坛讨论区';
$string['error_noforuminstances'] = '所选课程不包含论坛模块实例';
$string['error_noforumreplies'] = '选定课程不包含论坛回复';
$string['error_nonexistingcourse'] = '指定课程不存在';
$string['error_nopageinstances'] = '选定课程不包含页面模块实例';
$string['error_notdebugging'] = '此服务器不可用，由于排错开发未设置排错';
$string['error_nouserspassword'] = '您需要设置在config.php中设置$CFG->tool_generator_users_password产生测试计划';
$string['fullname'] = '测试课程：{$a->size}';
$string['maketestcourse'] = '制作测试课程';
$string['maketestplan'] = '制作JMeter测试计划';
$string['notenoughusers'] = '选定课程没有足够用户';
$string['pluginname'] = '随机课程生成器';
$string['progress_checkaccounts'] = '检查用户账户({$a})';
$string['progress_coursecompleted'] = '课程完成({$a}s)';
$string['progress_createaccounts'] = '创建用户账户({$a->from} - {$a->to})';
$string['progress_createassignments'] = '创建作业({$a})';
$string['progress_createbigfiles'] = '创建大文件({$a})';
$string['progress_createcourse'] = '创建课程({$a})';
$string['progress_createforum'] = '创建论坛({$a} posts)';
$string['progress_createpages'] = '创建页面 ({$a})';
$string['progress_createsmallfiles'] = '创建小文件 ({$a})';
$string['progress_enrol'] = '注册用户至课程 ({$a})';
$string['progress_sitecompleted'] = '网站完成 ({$a}s)';
$string['shortsize_0'] = 'XS';
$string['shortsize_1'] = 'S';
$string['shortsize_2'] = 'M';
$string['shortsize_3'] = 'L';
$string['shortsize_4'] = 'XL';
$string['shortsize_5'] = 'XXL';
$string['sitesize_0'] = 'XS (~10MB;3门课程，创建在30秒内)';
$string['sitesize_1'] = 'S (~50MB;8门课程, 创建在2分钟内)';
$string['sitesize_2'] = 'M (~200MB; 73门课程，创建在10分钟内)';
$string['sitesize_3'] = 'L (~1\'5GB;277门课程，创建在1.5小时内)';
$string['sitesize_4'] = 'XL (~10GB; 1065门课程，创建在5小时内)';
$string['sitesize_5'] = 'XXL (~20GB; 4177门课程，创建在10小时内)';
$string['size'] = '课程大小';
$string['smallfiles'] = '小文件';
$string['targetcourse'] = '测试目标课程';
$string['testplanexplanation'] = '此工具可以建立一个JMeter测试计划文件，并附有用户身份文件。

此测试计划用来与{$a}共同使用，它使在特定的Totara环境中更容易运行测试计划，手机关于运行的信息并比较结果，因此您需要下载并使用它的test_runner.sh脚本或者遵循安装和使用说明。

您需要在config.php为课程用户设定密码（例如$CFG->tool_generator_users_password = \'totara\';）。密码没有默认值用于防止无意中使用此工具。您需要使用更新密码选项以便防止您的课程用户有其他密码或者他们利用tool_generator产生密码但没有设定 $CFG->tool_generator_users_password值。

它是 tool_generator 的一部份，所以它能和课程与网站产生的课程协同运作良好。它也可以被用在至少包含下列条件的任何课程：

* 足够的注册用户(基于您选定的测试计划大小而定)，且其密码都被重设为"totara"。
* 一个页面模块实例
* 一个论坛模块实例含有至少一个讨论或一个回复

由于JMeter所产生的测试计划可以非常大，所以您在运行大型测试计划时，可能要考虑您的服务器性能。这个装载阶段已经按照执行线程（用户）数调整过以减少这类问题，但是负荷仍很大。

**不要在一个正在运行的系统上运行**这一功能仅创建文件汇入JMeter，其本身没有危险性，但你能“绝对不要”在正式运行的网站上运行这一测试计划。';
$string['testplansize_0'] = 'XS ({$a->users} 用户, {$a->loops} 循环和 {$a->rampup}线程创建时间)';
$string['testplansize_1'] = 'S ({$a->users} 用户, {$a->loops} 循环和 {$a->rampup} 线程创建时间)';
$string['testplansize_2'] = 'M ({$a->users} 用户, {$a->loops} 循环和 {$a->rampup} 线程创建时间)';
$string['testplansize_3'] = 'L ({$a->users} 用户, {$a->loops} 循环和 {$a->rampup} 线程创建时间)';
$string['testplansize_4'] = 'XL ({$a->users} 用户, {$a->loops} 循环和 {$a->rampup} 线程创建时间)';
$string['testplansize_5'] = 'XXL ({$a->users} 用户, {$a->loops} 循环和 {$a->rampup} 线程创建时间)';
$string['updateuserspassword'] = '更新课程用户密码';
$string['updateuserspassword_help'] = 'JMeter需要以课程用户身份登录，您可以在config.php中设置用户密码使用$CFG->tool_generator_users_password；这项设置可以更新用户密码，依据$CFG->tool_generator_users_password。这一设置在您建立测试课程中有用，防止您使用没有从tool_generator产生的课程或没有设置$CFG->tool_generator_users_password。';
